//	2000/10/02 Ogasawara Hiroyuki

#include	<stdio.h>
#include	<sys/types.h>
#include	<sys/stat.h>
#include	<fcntl.h>
#include	<unistd.h>
#include	<math.h>
#include	<time.h>


int
main( int argc, char **argv )
{
	char	*device= NULL;
	char	*mountpoint= NULL;
	char	*option= NULL;
	char	*fstype= "ext2";
	for(; --argc ;){
		if( **++argv == '-' ){
			switch( (*argv)[1] ){
			case 'o':
				if( (*argv)[2] ){
					option= *argv+2;
				}else if( argc > 1 ){
					argc--;
					option= *++argv;
				}
				break;
			case 't':
				if( (*argv)[2] ){
					fstype= *argv+2;
				}else if( argc > 1 ){
					argc--;
					fstype= *++argv;
				}
				break;
			}
		}else{
			if( !device ){
				device= *argv;
			}else{
				mountpoint= *argv;
			}
		}
	}
	if( device && mountpoint ){
		int	err;
//	printf( "[%s][%s][%s][%s]\n", device, mountpoint, fstype, option ? option : "-" );
	//err= mount( device, mountpoint, fstype, 0xc0ed0000|32, option );
	err= mount( device, mountpoint, fstype, 0xc0ed0000|0, option );
		if( err < 0 ){
			puts( "mount error" );
		}
	}else{
		puts(
			"usage: mount [opt] device mountpoint [opt]\n"
			"\t-t mount type (/proc/filesystems)\n"
			"\t-o option"
		);
	}
	return	0;
}

